Name:       easy-chroot
Version:    23.0
Release:    0.2%{?dist}
Summary:    A wrapper for chroot
Url:        https://gitlab.com/lcts/easy-chroot
License:    GPLv2
Source0:    https://gitlab.com/lcts/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       bash
Requires:       coreutils
Requires:       util-linux

%description
Easy-chroot is a wrapper for chroot, adapted from Arch Linux' arch-chroot
program. It automates the process of mounting filesystems like /dev and /sys
into the chroot, to yield a functional chrooted system.

#-- PREP, BUILD & INSTALL -----------------------------------------------------#
%prep
%autosetup -p1

# mangle shebangs
sed -i 's\#!/bin/bash\#!/usr/bin/bash\g' easy-chroot

%build
# nothing to build

%install
install -p -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

#-- FILES ---------------------------------------------------------------------#
%files
%doc README.md
%doc CHANGELOG
%license LICENSE
%{_bindir}/%{name}

#-- CHANGELOG -----------------------------------------------------------------#
%changelog
* Tue Aug 25 2020 Christopher Engelhard <ce@lcts.de> 23.0-0.2
- fix installing dir instead of executable

* Tue Aug 25 2020 Christopher Engelhard <ce@lcts.de> 23.0-0.1
- new package built with tito

